# 256 color support
set-option -ga terminal-overrides ",xterm-256color:Tc"
set -g default-terminal "xterm-256color"
set -g xterm-keys on
set -s escape-time 0
set -g history-limit 10000
set -g bell-action any
bind R refresh-client
# toggle statusbar
bind-key b set-option status

# enable vi like bindings
setw -g mode-keys vi
set -g status-keys vi
#bind-key -T edit-mode-vi Up send-keys -X  history-up
#bind-key -T edit-mode-vi Down send-keys -X history-down

# Horizontal splits with s or C-s
unbind s
unbind C-s
bind-key s split-window
bind-key C-s split-window

# Vertical split with v or C-v
unbind v
unbind C-v
bind-key v split-window -h
bind-key C-v split-window -h


# disable mouse
set -g mouse off

# Toggle mouse on
bind m \
    set -g mouse on \;\
    display 'Mouse: ON'

# Toggle mouse off
bind M \
    set -g mouse off \;\
    display 'Mouse: OFF'

# change to ctrl-a like screen
unbind C-b
set -g prefix C-a

# move window to top (0)
unbind T
bind-key T swap-window -t 0

# force a reload of the config file
unbind r
bind r source-file ~/.tmux.conf

# tmux theme
set -g status-bg "colour235"
set -g status-justify "left"
set -g status-left-length "100"
set -g status "on"
set -g status-right-length "100"
setw -g window-status-separator ""
set -g status-left "#[fg=colour232,bg=colour252] #S #[fg=colour252,bg=colour235,nobold,nounderscore,noitalics]"
set -g status-right "#[fg=colour238,bg=colour235,nobold,nounderscore,noitalics]#[fg=colour252,bg=colour238] %Y-%m-%d | %H:%M #[fg=colour252,bg=colour238,nobold,nounderscore,noitalics]#[fg=colour232,bg=colour252] #h "
setw -g window-status-format "#[fg=colour137,bg=colour235] #I |#[fg=colour137,bg=colour235] #W "
setw -g window-status-current-format "#[fg=colour235,bg=colour238,nobold,nounderscore,noitalics]#[fg=colour252,bg=colour238] #I |#[fg=colour252,bg=colour238] #W #[fg=colour238,bg=colour235,nobold,nounderscore,noitalics]"
